#!/bin/sh

QL_MODULE_VER=qla2xxx-8.01.05
QL_MOD_DIR="/usr/src/$QL_MODULE_VER"
QL_RENAMES_FILE="/etc/modprobe.d/module-renames"
QL_RENAMES_FILE_BKUP="$QL_MOD_DIR/module-renames-ql.bak"
QL_RENAMES_FILE_DATE="$QL_MOD_DIR/module-renames-ql"

SLES="/etc/SuSE-release"
KERNEL_MAJ_MIN=`uname -r | cut -d . -f -2`

# --------------------------------------------------------- #
# restore_module_renames()                                  #
# Restores the module renames				    #
# Parameter: None 		                            #
# Returns: 0.		 				    #
# --------------------------------------------------------- #
function restore_module_renames ()
{
        local TMP_RENAMES=/etc/modprobe.d/renames.ql
        local TMP_RESTORE=$QL_MOD_DIR/renames.restore.ql
        #if this is SuSe and 2.6
        if [ "${KERNEL_MAJ_MIN}" = "2.6" ] && [ -f $SLES ]; then
                if [ -f "${TMP_RESTORE}" ]; then
                        #first remove the lines that we commented
                        grep -v -f $TMP_RESTORE $QL_RENAMES_FILE > $TMP_RENAMES
                        if [ -s $TMP_RENAMES ]; then
                                #now add the one tha we commented by un-commenting
                                grep "^#alias.*qla2xxx" $TMP_RESTORE | sed "s/^#//" >> $TMP_RENAMES

                                if [ -s $TMP_RENAMES ]; then
                                        #the actual restore
                                        mv -f $TMP_RENAMES $QL_RENAMES_FILE
                                        #remove backup
                                        rm -f ${QL_RENAMES_FILE_DATE}-* >& /dev/null
                                        rm -f $TMP_RESTORE >& /dev/null
                                fi
                        fi

                fi
        fi
}

# Start #

restore_module_renames

#do a depmod -a here alos
depmod -a >& /dev/null
